Skip to content
Documentation sections

Retrieve your monthly usages

GET /usages on the Container Tracking API. Base URL: https://api.sinay.ai/container-tracking/api/v2.

The endpoint allows you to retrieve your monthly usages of the API

Query parameters

string (date-time)

Start time at which usages must be found

string (date-time)

End time at which usages must be found

Responses

Body: application/json, object.

FieldTypeRequiredDescription
allCallsinteger (int64)Yes—
successCallsinteger (int64)Yes—
clientErrorCallsinteger (int64)Yes—
serverErrorCallsinteger (int64)Yes—
consumedApiUnitsinteger (int64)Yes—
periodicUsagesobjectNo—
periodicUsages.<key>objectNo—
periodicUsages.<key>.allCallsinteger (int64)Yes—
periodicUsages.<key>.successCallsinteger (int64)Yes—
periodicUsages.<key>.clientErrorCallsinteger (int64)Yes—
periodicUsages.<key>.serverErrorCallsinteger (int64)Yes—
periodicUsages.<key>.consumedApiUnitsinteger (int64)Yes—

Example response body:

{
  "allCalls": 15,
  "successCalls": 13,
  "clientErrorCalls": 1,
  "serverErrorCalls": 1,
  "consumedApiUnits": 25,
  "periodicUsages": {
    "2022-05": {
      "allCalls": 15,
      "successCalls": 13,
      "clientErrorCalls": 1,
      "serverErrorCalls": 1,
      "consumedApiUnits": 25
    }
  }
}